Bug 1242322 - when running on wayland, mouse pointer does not remain stationary after scrolling map
Summary: when running on wayland, mouse pointer does not remain stationary after scrol...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openttd
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-13 04:28 UTC by Jonathon Conte
Modified: 2016-07-19 15:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 15:19:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 744104 None None None Never

Description Jonathon Conte 2015-07-13 04:28:40 UTC
This is an input handling bug that only occurs when running openttd on wayland.

When the secondary mouse button is held down in order to scroll on the map, the mouse pointer is supposed to remain in the same spot on the monitor. This works fine under xorg. However, when openttd is run under the GNOME wayland session and the mouse is used to scroll the map, the mouse pointer jumps in the direction the mouse was moved.

openttd depends on SDL 1.2 (which is not wayland compatible) so perhaps the bug is related to xwayland.

Comment 1 Olivier Fourdan 2015-07-20 13:51:16 UTC
I reckon to achieve this in Wayland, we'd need the relative pointer API:

http://lists.freedesktop.org/archives/wayland-devel/2014-December/018653.html

Which is still under discussion upstream and not merged yet.

Comment 2 Fedora End Of Life 2016-07-19 15:19:21 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.